﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using System.Diagnostics;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            DataContext = (from i in Enumerable.Range(0, 100)
                          select new MyObject() { ID = i, Name = String.Format("Name{0}", i) }).ToList();
        }

        private void RadGridView_RowLoaded(object sender, RowLoadedEventArgs e)
        {
            var row = e.Row as GridViewRow;
            if (row != null)
            {
                Debug.WriteLine(row.Cells[0].Content);
            }
        }
    }


    public class MyObject
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
